Subject: Re: Possible German translation bug

From: Sören Krecker <[email-masked]>
Date: Fri, 28 Nov 2025 06:14:18 +0100

Hi,

for me as a native speeker the translation revison as "Revision" seems 
much better to me.

Best regards,

Sören Krecker

Am 28.11.25 um 00:28 schrieb brian m. carlson:
> We have the following string in Git, which is translated as follows in
> Spanish, French, and German:
> 
> ----
> % git rev-parse --verify nonexistent
> fatal: Needed a single revision
> % LC_ALL=es_MX.UTF-8 git rev-parse --verify nonexistent
> fatal: Se necesitó una revisión singular
> % LC_ALL=fr_CA.UTF-8 git rev-parse --verify nonexistent
> fatal : Une seule révision attendue
> % LC_ALL=de_DE.UTF-8 git rev-parse --verify nonexistent
> Schwerwiegend: Benötigte einen einzelnen Commit
> ----
> 
> In Spanish and French, we use the translation of the word "revision"
> because `git rev-parse --verify` can permit referring to an object of
> any type: blob, tree, commit, or tag.  For instance, this is a blob:
> 
> ----
> % git rev-parse --verify v2.0.0:strbuf.c
> ee96dcfb816625436582833d812a7156513d5d39
> ----
> 
> But in German, we use the noun "Commit".  I admit my German is not very
> good[0] and my technical German is effectively nonexistent, but I
> presume "Commit" means "commit" and if so, that's simply not accurate in
> this case.
> 
> It looks like in other places in the translation we use "Revisionsgang"
> for "revision walk" and "Revisionsliste" for "revision list", so maybe
> "Revision" is a possible option here, but that would be better decided
> by someone with a much better command of German than I have.  Of course,
> I could be wrong altogether, in which case please accept my apologies
> for the noise.
> 
> [0] I do hope to improve it in the new year, though.